org.restlet.engine.http.header

## Class DateWriter

- java.lang.Object
- - org.restlet.engine.http.header.DateWriter

    public class DateWriter
    extends java.lang.Object

Date header writer.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`DateWriter()`

### Method Summary

Methods
`static java.lang.String` `write(java.util.Date date)` Writes a date header.
`static java.lang.String` `write(java.util.Date date, boolean cookie)` Writes a date header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateWriter

    public DateWriter()

### Method Detail

#### write

    public static java.lang.String write(java.util.Date date)

Writes a date header.

Parameters:
  `date` - The date to write.
Returns:
  The formatted date.

#### write

    public static java.lang.String write(java.util.Date date,
                         boolean cookie)

Writes a date header.

Parameters:
  `date` - The date to write.
  `cookie` - Indicates if the date should be in the cookie format.
Returns:
  The formatted date.